<template>
    <img class="logout" src="../assets/images/logout.svg" alt="Logout"/>
</template>

<script>
import { LOGOUT } from "@/store/actions.type";

export default {
    name: "Logout",
    data() {
        return {
            timeout: null
        }
    },
    mounted() {
        this.$store.dispatch(LOGOUT);
        setTimeout(() => {
            window.location.reload();
        }, 1000);
    },
    destroyed() {
        if (this.timeout)
            clearTimeout(this.timeout);
    }
}
</script>

<style scoped>
.logout {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
</style>